Skip to main content
POST
Decline task interaction

Authorizations

Authorization
string
header
required

Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.

Headers

X-Workspace-ID
string<uuid>

Company UUID for a personal token on company-scoped operations. A company API key already binds its company.

Path Parameters

id
string
required

id from the corresponding authorized response.

interactionId
string
required

interactionId from the corresponding authorized response.

Response

Successful response.

id
string
required
workspace_id
string
required
task_id
string
required
source_run_id
string | null
required
parent_message_id
string | null
required
recipient_user_id
string
required
kind
string
required
status
string
required
title
string | null
required
message
string
required
payload
any
required
response
any
required
audit_text
string | null
required
response_actor_type
string | null
required
response_actor_id
string | null
required
expires_at
string | null
required
resolved_at
string | null
required
created_at
string
required
updated_at
string
required